summaryrefslogtreecommitdiffstats
path: root/debian/openssh-client.postrm
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-05-06 01:26:58 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-05-06 01:26:58 +0000
commit4722d4b7980d6fd8145e2e9f08492d951ea261d1 (patch)
tree7ab498b39f5bdce46b1bbc41ef5201322df4e2d4 /debian/openssh-client.postrm
parentAdding upstream version 1:7.9p1. (diff)
downloadopenssh-4722d4b7980d6fd8145e2e9f08492d951ea261d1.tar.xz
openssh-4722d4b7980d6fd8145e2e9f08492d951ea261d1.zip
Adding debian version 1:7.9p1-10+deb10u2.debian/1%7.9p1-10+deb10u2debian
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'debian/openssh-client.postrm')
-rw-r--r--debian/openssh-client.postrm22
1 files changed, 22 insertions, 0 deletions
diff --git a/debian/openssh-client.postrm b/debian/openssh-client.postrm
new file mode 100644
index 0000000..12fb367
--- /dev/null
+++ b/debian/openssh-client.postrm
@@ -0,0 +1,22 @@
+#!/bin/sh
+set -e
+
+#DEBHELPER#
+
+case $1 in
+ purge)
+ # Remove all non-conffiles that ssh might create, so that we
+ # can smoothly remove /etc/ssh if and only if the user
+ # hasn't dropped some other files in there. Conffiles have
+ # already been removed at this point.
+ rm -f /etc/ssh/moduli /etc/ssh/primes
+ rm -f /etc/ssh/ssh_known_hosts /etc/ssh/ssh_known_hosts2
+ [ ! -d /etc/ssh ] || rmdir --ignore-fail-on-non-empty /etc/ssh
+
+ if which delgroup >/dev/null 2>&1; then
+ delgroup --quiet ssh > /dev/null || true
+ fi
+ ;;
+esac
+
+exit 0